List all terminals
Lists all terminals connected to a company.
The list includes terminals connected to the company directly and terminals connected to the company through a user.
GET
/v1/hq/companies/{company_id}/terminalsAuthorizationBearer <token>
Bearer token issued to a paired device; an operation's scopes list the device types allowed to call it, such as checkin.
In: header
Scope: checkin
Path Parameters
company_id*string
Example
"dwawd8awudawd"Query Parameters
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/companies/dwawd8awudawd/terminals"[
{
"id": "string",
"readable_identifier": "Suzy's terminal",
"brand": "string",
"model": "string",
"provider": "Istari",
"serial": "string",
"issuer": "string",
"description": "string",
"default": true,
"created_at": 0.1
}
]Empty
Empty
Empty
Empty
Empty